diff --git a/web/pgadmin/utils/driver/psycopg2/__init__.py b/web/pgadmin/utils/driver/psycopg2/__init__.py
index ed67631b..ac920dde 100644
--- a/web/pgadmin/utils/driver/psycopg2/__init__.py
+++ b/web/pgadmin/utils/driver/psycopg2/__init__.py
@@ -84,10 +84,11 @@ class Driver(BaseDriver):
             if '__pgsql_server_managers' in session:
                 session_managers = session['__pgsql_server_managers'].copy()
 
-                manager = managers[str(sid)] = ServerManager(server_data)
-                if sid in session_managers:
-                    manager._restore(session_managers[sid])
-                    manager.update_session()
+                for a_server in Server.query.filter_by(user_id=current_user.id):
+                    manager = managers[str(a_server.id)] = ServerManager(a_server)
+                    if a_server.id in session_managers:
+                        manager._restore(session_managers[a_server.id])
+                        manager.update_session()
         else:
             managers = self.managers[session.sid]
             if str(sid) in managers:
